# Class CIM_IPCOMPTransform
extends CIM_SATransform

The IPCOMPTransform specifies the IP compression algorithm to use for payload of the Security Association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_SettingData
|
+--CIM_ScopedSettingData
|
+--CIM_SATransform
|
+--CIM_IPCOMPTransform

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | The IPCOMPTransform specifies the IP compression algorithm to use for payload of the Security Association.
MappingStrings | string | IPSP Model.IETF|IPCOMPTransform
UMLPackagePath | string | CIM::Network::IPsec
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Algorithm | uint16 |
Description | string | The Algorithm is an enumeration that designates the IPCOMP compression algorithm to use. Its values are generated from RFC2407, Section 4.4.5. Note that the values are modified from the RFC, since 'Other' must be taken into account.
MappingStrings | string | IPSP Model.IETF|IPCOMPTransform.Algorithm, RFC2407.IETF|Section 4.4.5
ModelCorrespondence | string | CIM_IPCOMPTransform.PrivateAlgorithm, CIM_IPCOMPTransform.OtherAlgorithm
ValueMap | string | 1, 2, 3, 4
Values | string | Other, Vendor Algorithm/OUI, DEFLATE, LZS
DictionarySize | uint16 |
Description | string | DictionarySize is an optional field that specifies the log2 maximum size of the dictionary for the compression algorithm. For dictionaries that have a fixed size, this value is ignored.
MappingStrings | string | IPSP Model.IETF|IPCOMPTransform.DictionarySize
OtherAlgorithm | string |
Description | string | Description of the compression algorithm when the value 1 ("Other") is specified for the property, Algorithm.
ModelCorrespondence | string | CIM_IPCOMPTransform.Algorithm
PrivateAlgorithm | uint32 |
Description | string | A private compression algorithm, used when the Algorithm property is set to 2, "Vendor Algorithm/OUI".
MappingStrings | string | IPSP Model.IETF|IPCOMPTransform.PrivateAlgorithm
ModelCorrespondence | string | CIM_IPCOMPTransform.Algorithm

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
ChangeableType | uint16 | CIM_SettingData
ConfigurationName | string | CIM_SettingData
Description | string | CIM_ManagedElement
ElementName | string | CIM_SATransform
InstanceID | string | CIM_SettingData
MaxLifetimeKilobytes | uint64 | CIM_SATransform
MaxLifetimeSeconds | uint64 | CIM_SATransform
VendorID | string | CIM_SATransform

## Class Methods